/**********************************************************************
* @file		A31G21x_pcu.h
* @brief	Contains all macro definitions and function prototypes
* 			support for PCU firmware library on A31G21x
* @version	1.0
* @date		
* @author	ABOV M team
*
* Copyright(C) 2017, ABOV Semiconductor
* All rights reserved.
*
**********************************************************************/
#ifndef __A31G32x_CONF_H
#define __A31G32x_CONF_H

	
/* Includes ------------------------------------------------------------------*/
/* Uncomment the line below to enable peripheral header file inclusion */
#include "A31G32x_hal_pcu.h"
#include "A31G32x_hal_scu.h"
#include "A31G32x_hal_usartn.h"
#include "A31G32x_hal_debug_frmwrk.h"
#include "A31G32x_hal_timer2n.h"


#ifdef __cplusplus
extern "C"
{
#endif
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
/* Initialize all port */
extern void Port_Init(void); 
/* Configure the system clock to 48 MHz */
extern void SystemClock_Config(void);
/* Error_Handler */
extern void Error_Handler(void);
#ifdef __cplusplus
}
#endif
	
#endif /* __A31G32x_CONF_H */


